<?
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if(!$user){
header('location:/login/');
exit();
}
//
//
if($user['chat'] != 0){
DB::$dbs->query('UPDATE `users` SET `chat` = ? WHERE `id` = ? LIMIT 1', array(0,$user['id']));
header('location:?');
exit();    
}
//
//
head([]);
//
//
echo logs();
//
//
//
if(isset($_GET['del']) && $user['adm'] >= 1){
$id = num($_GET['del']);
$chat_message = DB::$dbs->queryFetch('SELECT * FROM `chat` WHERE `id` = ? LIMIT 1', [$id]);
if(!$chat_message){
header('location:?');
exit();
}
//
//
DB::$dbs->query("DELETE FROM `chat` WHERE `id` = ?", array($chat_message['id']));
ok2("Сообщение удалено");
header('location:?');
exit();
}
//
//
//
//
$id = num($_GET['id']);
		$us = DB::$dbs->queryFetch('SELECT * FROM `users` WHERE `id` = ? LIMIT 1', [$id]);
		//
		//
		if($us)$ank = $us['id']; else $ank = 0;
//
//
if(isset($_POST['add_message'])):
			$text = text($_POST['text']);
			//
			//
			if (empty($text) || mb_strlen($text, 'UTF-8') < 1 || mb_strlen($text, 'UTF-8') > 500):
				$err = 'Сообщение не  может быть пустым';
			endif;
			//
			//
			if($user['level'] <= 9):
			    $err = 'Для общения нужен 10 уровень';
			    endif;
			    //
			    //
			    if($user['ban_time'] > time()):
			    $err = 'Вы забанены, вам нельзя писать сообщения<br><a href="/profile/'.$user['id'].'?my_ban"><u>Узнать подробнее</u></a>';
			    endif;
			    			    //
			    //
			    if($user['spam'] > time()):
			    $err = 'Не так быстро, писать смс можно раз в 3 секунды';
			    endif;
			//
//
			if(isset($err)):
				err2($err);
				header('location: ?'); exit;
			else:
$text_notif = 'Вам ответили в [url='.$sites.'/chat/][color=#32cd32]таверне[/color][/url]';
DB::$dbs->query('INSERT INTO `notification` SET `text` = ?,`time` = ?,`id_user` = ?',array($text_notif,time(),$ank));
DB::$dbs->query('UPDATE `users` SET `chat` = ?,`notif` = ? WHERE `id` = ? LIMIT 1', array(1,1,$ank));
DB::$dbs->query('UPDATE `users` SET `spam` = ? WHERE `id` = ? LIMIT 1', array(time()+3,$user['id']));
DB::$dbs->query('INSERT INTO `chat` SET `text` = ?,`time` = ?,`id_user` = ?,`id_ank` = ?',array($text,time(),$user['id'],$ank));
//
//
DB::$dbs->query("UPDATE `titul_user` SET `coll` = `coll` + ? WHERE `id_titul` = ? AND `id_user` = ? LIMIT 1", array(1,4,$user['id']));
//
//
				header('location: ?'); exit;
			endif;
		        endif;
//
//
//
//
?>
<div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi">Таверна</span>
		 <?
		 if($user['level'] >= 10){
		 ?>           
		        <?
		        if($us){
		        ?>
		        Ответ для: <?=user_info($id);?>
		        		        <div class="stats2"></div>
		        <?
		        }
		        ?>

		            		        </center>
	<form action="?id=<?=$id;?>" method="post">
	<textarea class="" name = 'text' id='message' placeholder='' maxlength = '5000'></textarea>
	<input type="submit" name="add_message" class="butmin" value="Отправить">
	</form>
<?
}else{
?>
<div class="menu-not"><font color="tomato">Для общения нужен 10 уровень</font></div>
<?
}
?>
<div class="stats2"></div>
		        <?
                $coll = DB::$dbs->querySingle('SELECT COUNT(id) FROM `chat`');
		$num = 10;
		$total = intval(($coll - 1) / $num) + 1;
		$page = isset($_GET['page'])?intval($_GET['page']):1;
		if(empty($page) or $page < 0) $page = 1;
		if($page > $total) $page = $total;
		$start = $page * $num - $num; 

$sql = DB::$dbs->query("SELECT `id`,`text`,`time`,`id_user`,`id_ank` FROM `chat` ORDER BY `id` DESC LIMIT $start, $num")->fetchAll(PDO::FETCH_BOTH);

				if($coll < 1){
		 ?>
		 <div class="menu-not">
		    Сообщений еще нет
		   </div>
		 <?   
		}
			foreach ($sql as $sqlls => $im): ?>


<div class="menu-not2">
<font color="">
<?=user_info($im['id_user']);?>
</font>
<span style="float: right;">
<?
if($im['id_user'] != $user['id']){
?>
<a href="?id=<?=$im['id_user'];?>">
<img src="/css/img/chat.png"> 
</a>
<?
}
?>
<?
if($user['adm'] >= 1){
?>
<a href="?del=<?=$im['id'];?>">
<img src="/css/img/delete.png"> 
</a>
<?
}
?>
</span>
<br>
<?
if($im['id_ank'] != 0 && $im['id_ank'] != $user['id']){
?>
<?=user_chat($im['id_ank']);?>
<?
}
if($im['id_ank'] == $user['id']){
?>
<font color='#32cd32'><?=user_chat($im['id_ank']);?></font>
<?
}
?>
<font color="#777777">
<?=bbcode($im['text']);?>
<br>
<span style="float: right;"><?=times($im['time']);?></span>
</font>
<br>
</div>


			<?php endforeach;
			?>
			</div>
			<?
			echo page('?',$page,$total); ?>
			</div>
<?
//
//
foot([]);
//
//
?>